package cn.teammodel.model.dto.admin.common;

import lombok.Data;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
@Data
public class RGroupList {
        public String id ;
        public String code ;
        public String pk ;
        public String name ;
        //标记该名单唯一code
        public String no ;
        public String periodId ;
        //课程id,需要标记则标记
        //public String courseId ;
        public String scope ;
        public String school ;
        public String creatorId ;
        /// <summary>
        ///研修培训名单，yxtrain 教学班teach ，行政班（学生搜寻classId动态返回）class ,教研组research，学科组（学科搜寻动态返回）subject，好友friend，管理manage，群组group等,"activity",
        ///TeacherAll 全体教师，StudentAll全体学生 TchStuAll，全体师生 动态返回
        /// </summary>
        public String type ;
        public int year ;
        /// <summary>
        /// 名单过期时间。
        /// </summary>
        public long expire ;
        /// <summary>
        /// 醍摩豆id成员数量
        /// </summary>
        public int tcount ;
        /// <summary>
        /// 校内账号成员数量
        /// </summary>
        public int scount ;
        public List<RMember> members = new ArrayList<>();
        public String leader ;
        public int froms ;
        /// <summary>
        /// 个人名单是否开放 加入。0 不允许，1 允许。
        /// </summary>
        public int joinLock ;
        /// <summary>
        ///补充毕业0在校，1毕业 
        /// </summary>
        public int graduate ;
        /// <summary>
        /// 是否开启审核，0未开启，1开启。
        /// </summary>
        public int review ;
        /// <summary>
        /// 加入人数200人，学生加入已满200 自动关闭加入。可手动解除限制，开启审核时，关闭人数上限设置机制
        /// </summary>
        public int limitCount ;
        /// <summary>
        /// 自选座号 0 不允许，1 运行
        /// </summary>
        public int optNo ;
        /// <summary>
        /// 二维码过期时间
        /// </summary>
        public long qrcodeExpire ;
        /// <summary>
        /// 二维码 天数
        /// </summary>
        public int qrcodeDays ;
        public HashSet<Integer> grades = new HashSet<Integer>();
    
}
