package cn.teammodel.model.entity.appraise;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 成就的晋级规则
 * @author winter
 * @create 2023-12-13 15:23
 */
@Data
public class AchievementRule {
    private String id;
    @ApiModelProperty("等级名称")
    private String name;
    @ApiModelProperty("等级 logo")
    private String logo;
    @ApiModelProperty("等级 logo")
    private Integer level;
    @ApiModelProperty("等级顺序")
    private Integer levelCount;
    @ApiModelProperty("晋级所需下一等级所需当前等级次数")
    private Integer promotionLevel;
    @ApiModelProperty("晋升到下一等级所需总表扬数")
    private Integer promotionCount;

}
