package cn.teammodel.repository;

import cn.teammodel.model.entity.common.GroupList;
import cn.teammodel.model.entity.school.SchoolTeacher;
import com.azure.spring.data.cosmos.repository.CosmosRepository;
import com.azure.spring.data.cosmos.repository.Query;

import java.util.List;

public interface SchoolGroupListRepository extends CosmosRepository<GroupList, String> {
    @Query("select * from GroupList as c where c.code = @code and c.type = 'research' and c.scope = 'school' ")
    List<GroupList> findAllByCode(String code);
}
