package cn.teammodel.model.dto.ai.comment;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author 教师评论
 * @Date 2020/7/29
 */
@Data
public class ChatTeacherCommentDto
{
    /**
     * 会话id
     */
    private String sessionId;

    /**
     * 预设的会话面具 id
     */
    private String appId;

    /**
     * 教师会话类型  txt 文本类型   暂不启用
     */
    private  String type;

    /**
     * 评语返回字数
     */
    private int size;

    /**
     * 限制评语
     */
    private List<String> limitTexts;

    /**
     * 输入的文本
     */
    private String text;

    /**
     * 评语数据
     */
    private Object data;

}
