package cn.teammodel.model.dto.weekDuty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author winter
 * @create 2024-01-03 15:05
 */
@Data
public class DutyVoteDto {
    @NotNull
    @ApiModelProperty(value = "班级id", required = true)
    private String classId;
    // 拍照巡检暂时不用地点 id
    @NotNull
    @ApiModelProperty(value = "评价地点 id")
    private String spotId;
    @NotNull
    @ApiModelProperty(value = "评价节点id", required = true)
    private String dutyNodeId;
    @ApiModelProperty(value = "评分是否传播到学生")
    private Boolean spread = false;
    private String note;
    private List<String> attachments;
}
