package cn.teammodel.model.vo.admin;

import cn.teammodel.model.entity.common.Art;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ArtElementsVo {
    public String id;
    public String name;
    public List<String> classes;
    public long startTime;
    public long endTime;
    public List<Art.ArtSubject> subjects;
    public List<ClassInfos> classesInfos = new ArrayList<>();
    public int count;
    public String progress;
    public List<Tasks> settings;

    public void addClassesInfos(ClassInfos classInfos) {
        this.classesInfos.add(classInfos);
    }

    @Data
    public static class ClassInfos {
        public String id;
        public String name;
    }
    @Data
    public static class Tasks {
        public String id ;
        public String quotaname ;
        public List<String> path ;
        public List<Acs> task;
    }
    @Data
    public static class Acs {
        public String infoId ;
        public String acId ;
        public String name ;
        public String subject ;
        public int isOrder = 0;
        public int type  = 0;
        public String workDesc ;
        public long workEnd ;

    }
}
